<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Produk extends CI_Controller {

	public function __construct()
    {
		
        parent::__construct();
        $this->load->model("UserModel");
		$this->load->model("UmkmModel");
		$this->load->model("KategoriModel");
		$this->load->model("AbsensiModel");
		$this->load->model("ProdukModel");

		if($this->UserModel->isNotLogin()) {
			redirect(site_url('login'));
		} elseif(!($this->UserModel->isAdmin())) {
			redirect(site_url('dashboard'));
		} 
		
		$get = $this->input->get();
		if($get['id_umkm']==NULL){
			redirect(site_url('admin/umkm'));
		}
    }

	public function index()
	{

		$get = $this->input->get();
		$umkm = $this->UmkmModel->getUmkmsById($get['id_umkm']);
		$pemilik = $this->UserModel->getUsersById($umkm->id_pemilik);
		$daftarkategori = $this->KategoriModel->getKategori();
		$daftarproduk = $this->ProdukModel->getProdukByUmkmId($umkm->id_umkm);

		$cekabsensiakhir = $this->AbsensiModel->getLatestSignedAbsensiCountByUmkmId($umkm->id_umkm);

		if($cekabsensiakhir > 0 ){
			$absensiakhir = $this->AbsensiModel->getLatestSignedAbsensiByUmkmId($umkm->id_umkm);
			$aset = $absensiakhir->aset;
			$karyawan_l = $absensiakhir->karyawan_l;
			$karyawan_p = $absensiakhir->karyawan_p;
		} else {
			$aset = $umkm->aset_awal;
			$karyawan_l = $umkm->karyawan_l;
			$karyawan_p = $umkm->karyawan_p;
		}
		
			
			$data['omset'] = $umkm->omset_awal;
			$data['karyawan_l'] = $karyawan_l;
			$data['karyawan_p'] = $karyawan_p;
			$data['aset'] = $aset;
			$data['daftarkategori'] = $daftarkategori;
			$data['daftarproduk'] = $daftarproduk;
			$data['umkm'] = $umkm;
			$data['pemilik'] = $pemilik;
			$data['user_logged'] = $this->session->userdata('user_logged');

			
			$this->load->view('admin/produk',$data);
		
	}

	
}
